Commissions
Update a commission
PATCH
/
commissions
/
{commission_id}
/
Update a commission
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/commissions/{commission_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"amount": 30.55,
"comment": "Amount adjusted because of returned item"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 30.55, comment: 'Amount adjusted because of returned item'})
};
fetch('https://api.tapfiliate.com/1.6/commissions/{commission_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/commissions/{commission_id}/"
payload = {
"amount": 30.55,
"comment": "Amount adjusted because of returned item"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/commissions/{commission_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 30.55,
'comment' => 'Amount adjusted because of returned item'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/commissions/{commission_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/commissions/{commission_id}/"
payload := strings.NewReader("{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/commissions/{commission_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}")
.asString();{
"id": 1,
"amount": 30.55,
"approved": true,
"created_at": "2021-03-31T08:21:02+0000",
"commission_type": "standard",
"conversion_sub_amount": 550,
"comment": "Amount adjusted because of returned item",
"conversion": {
"id": 1
},
"payout": null,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"kind": "regular",
"currency": "USD",
"final": null,
"finalization_date": null,
"commission_name": "standard"
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
Numeric id of the commission to perform action with.
Body
application/json
The new amount for the commission
Example:
30.55
A comment for this commission. The comment will be visible to the affiliate
Example:
"\"foo bar\""
Approve or disapprove commission
Example:
true
The new value for the commission and it's conversion (will be recalculated)
Example:
50.01
Response
OK
⌘I
Update a commission
curl --request PATCH \
--url https://api.tapfiliate.com/1.6/commissions/{commission_id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"amount": 30.55,
"comment": "Amount adjusted because of returned item"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 30.55, comment: 'Amount adjusted because of returned item'})
};
fetch('https://api.tapfiliate.com/1.6/commissions/{commission_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/commissions/{commission_id}/"
payload = {
"amount": 30.55,
"comment": "Amount adjusted because of returned item"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/commissions/{commission_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 30.55,
'comment' => 'Amount adjusted because of returned item'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/commissions/{commission_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/commissions/{commission_id}/"
payload := strings.NewReader("{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tapfiliate.com/1.6/commissions/{commission_id}/")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 30.55,\n \"comment\": \"Amount adjusted because of returned item\"\n}")
.asString();{
"id": 1,
"amount": 30.55,
"approved": true,
"created_at": "2021-03-31T08:21:02+0000",
"commission_type": "standard",
"conversion_sub_amount": 550,
"comment": "Amount adjusted because of returned item",
"conversion": {
"id": 1
},
"payout": null,
"affiliate": {
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson"
},
"kind": "regular",
"currency": "USD",
"final": null,
"finalization_date": null,
"commission_name": "standard"
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}